Hi Kriss,<br>Since I did not get your feedback on this issue. I just wanted to know what you think about it. Sorry to bother you with this.<br><br>Regards,<br>Grégoire.<br><br><div class="gmail_quote">On Mon, Feb 8, 2010 at 9:57 PM,  <span dir="ltr">&lt;<a href="mailto:gregoire.welraeds@gmail.com">gregoire.welraeds@gmail.com</a>&gt;</span> wrote:<br>
<blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">Hi Kriss,<br>
Thank you for answering my email. I went to the #kde-freebsd channel to<br>
discuss this issue. I had an interesting discussion with one of the kde<br>
developper (involved in the Ark development). And here is what he told me<br>
(hope he don&#39;t mind me quoting him):<br>
[quote]<br>
there are two things involved here:<br>
1) python support for plasma in kdebase needs kdebindings for pykde4; IIRC<br>
there was some sort of circular dependency in which kdebindings required<br>
kdelibs and kdebase (I&#39;m not sure if this is still the case), so you might<br>
need to end up building kdebase twice<br>
2) python support for kdebase is explicitly disabled in kdebase4-workspace&#39;s<br>
Makefile (no idea why)<br>
[/quote]<br>
So to fix this issue, one need to edit the x11/kdebase4-workspace port&#39;s<br>
makefile and remove the line saying -DWITH_PyKDE4:BOOL=OFF from CMAKE_ARGS.<br>
I tried to do that myself as I have the FreeBSD port installed, but it failed:<br>
[quote]<br>
CMake Error at<br>
/usr/local/kde4/share/apps/cmake/modules/FindKDE4Internal.cmake:1192<br>
(message):<br>
  ERROR: the installed kdelibs version 4.3.4 is too old, at least version<br>
  4.3.5 is required<br>
[/quote]<br>
Since I&#39;m using the PCBSD box on daily basis for my work, I don&#39;t want to go<br>
and rebuild everything, particularly if 4.3.5 is shipped with PCBSD 8.0<br>
Release.<br>
<br>
My question is do you think we might expect to have the issue fixed along with<br>
this release?<br>
<br>
Best regards,<br>
Gregoire.<br>
<div><div></div><div class="h5"><br>
On Monday 08 February 2010 06:49:01 pm Kris Moore wrote:<br>
&gt; On 02/08/2010 12:45, gmail wrote:<br>
&gt; &gt; Thanks to some support in the PCBSD Forum, It looks like the issue also<br>
&gt; &gt; exists in FreeBSD 8.0/KDE 4.3.1. Have a look here:<br>
&gt; &gt; <a href="http://forums.freebsd.org/archive/index.php/t-7748.html" target="_blank">http://forums.freebsd.org/archive/index.php/t-7748.html</a><br>
&gt; &gt;<br>
&gt; &gt; Is there something I can do? Should I report the issue to FreeBSD ports?<br>
&gt; &gt;<br>
&gt; &gt; Regards,<br>
&gt; &gt;<br>
&gt; &gt; Grégoire.<br>
&gt;<br>
&gt; If you like go ahead and report the specifics of the issue to the<br>
&gt; KDE-freebsd porting team:<br>
&gt;<br>
&gt; <a href="https://mail.kde.org/mailman/listinfo/kde-freebsd" target="_blank">https://mail.kde.org/mailman/listinfo/kde-freebsd</a><br>
&gt;<br>
&gt; I&#39;m on that list as well, but don&#39;t know what the issue is off the top<br>
&gt; of my head, not much of a python user, but maybe one of the other guys<br>
&gt; will have some tips / fixes to getting this resolved.<br>
&gt;<br>
</div></div></blockquote></div><br>